Bug 435596 - keyring dialog blocks input
keyring dialog blocks input
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-02 05:08 EST by Alex Lancaster
Modified: 2015-03-03 17:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:41:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2008-03-02 05:08:28 EST
Description of problem:
Sometimes I'm trying to select an access point from the NetworkManager applet
and the keyring appears.  If I still have focus in the applet area (e.g. if the
applet still hasn't responded), then the keyring pops-up, but I can't get focus,
resulting in keyring blocking the entire X interface.

At this point I either need to switch to a virtual terminal to kill
gnome-keyring, or else , kill X manually.

Version-Release number of selected component (if applicable):
gnome-keyring-2.21.92-1.fc9.i386

How reproducible:
Often, depends on the time delay and speed of machine

Steps to Reproduce:
(assumes a key has already been setup previously)
1. login to X without NetworkManager running
2. sudo /etc/init.d/NetworkManager start
3. wait for nm-applet to show up in notification area
4. just after applet starts, go to choose a network, this will be slow on a slow
machine (like mine)
 
Actual results:
Depending on the timing, the keyring will popup, but won't be given focus, but
further input to any X widget will be blocked (X is still running as displays
still update)

Expected results:
You should be able select focus for the gnome-keyring manager, or change focus
from it.

Additional info:
This appears to be something odd with NetworkManager/gnome-keyring interaction,
not sure which is the best component.

Note, I've sometimes seen something similar to this on my F-8 machine.
Comment 1 Alex Lancaster 2008-03-02 05:09:09 EST
Perhaps this is related to bug #231778?
Comment 2 Bug Zapper 2008-05-14 01:43:12 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 19:39:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 10:41:54 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.